<template>
  <div id="mapOL">There should be a map right around here...</div>
</template>

<script>
import Map from 'ol/Map.js'
import View from 'ol/View.js'
import TileLayer from 'ol/layer/Tile.js'
import OSM from 'ol/source/OSM'

export default {
  mounted() {
    const map = new Map({
      target: 'mapOL',
      layers: [new TileLayer({ source: new OSM() })],
      view: new View({
        center: [0, 0],
        zoom: 2
      })
    })
    return map
  }
}
</script>

<style scoped>
@import 'ol/ol.css';

#mapOL {
  height: 300px;
}
</style>
